Qyra
ReferenceUntagged

Update agent document content

Replace the name and content of a knowledge document this agent can use.

PATCH/api/v1/projects/{projectUuid}/aiAgents/{agentUuid}/documents/{documentUuid}/content

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Path parameters

NameTypeRequiredDescription
projectUuidstringYes
agentUuidstringYes
documentUuidstringYes

Request body

{
  "content": "string",
  "name": "string"
}

Responses

200 — Success

{
  "results": {
    "updatedAt": "2024-01-01T00:00:00.000Z",
    "createdAt": "2024-01-01T00:00:00.000Z",
    "updatedByUserUuid": "string",
    "createdByUserUuid": "string",
    "agentAccess": [
      "string"
    ],
    "storageKey": "string",
    "summary": {
      "warning": "string",
      "relevance": "high",
      "useWhen": "string",
      "relatedExploreNames": [
        "string"
      ],
      "definedTerms": [
        "string"
      ],
      "description": "string"
    },
    "alwaysIncludeInContext": true,
    "contentSizeBytes": 0,
    "mimeType": "string",
    "originalFilename": "string",
    "name": "string",
    "projectUuid": "string",
    "organizationUuid": "string",
    "uuid": "string"
  },
  "status": "ok"
}

default — Error

{
  "error": {
    "data": "string",
    "message": "string",
    "name": "string",
    "statusCode": 0
  },
  "status": "error"
}